> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# List a room's tasks

GET https://astropods.com/api/v1/accounts/{account}/rooms/{room_id}/tasks

Reference: https://docs.astropods.com/api-reference/astropods-api/rooms/list-a-rooms-tasks

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account` (string, required) — Account name
- `room_id` (string, required) — Room ID

## Response

### 200

OK

- `tasks` (list of RoomTaskResponse, optional)

## Types

### RoomTaskResponse

- `assignee` (RoomTaskActor, optional)
- `attempts` (integer, optional)
- `auto_assign_reason` (string, optional)
- `auto_assigned_at` (datetime, optional, nullable)
- `blocked_reason` (string, optional)
- `conversation_id` (string, optional)
- `created_at` (datetime, optional)
- `created_by` (RoomTaskActor, optional)
- `delivery` (string, optional)
- `description` (string, optional)
- `dispatched_at` (datetime, optional, nullable)
- `documents` (list of RoomTaskDocumentResponse, optional)
- `finished_at` (datetime, optional, nullable)
- `id` (string, optional)
- `is_approval` (boolean, optional)
- `job` (string, optional)
- `parent_task` (RoomTaskParentResponse, optional)
- `result` (string, optional)
- `returned_at` (datetime, optional, nullable)
- `started_at` (datetime, optional, nullable)
- `status` (string, optional)
- `subject` (string, optional)
- `subject_url` (string, optional)
- `title` (string, optional)
- `updated_at` (datetime, optional)

### RoomTaskActor

- `deployment_id` (string, optional)
- `judgment_id` (string, optional)
- `kind` (string, optional)
- `name` (string, optional)
- `observer_id` (string, optional)
- `user_id` (string, optional)

### RoomTaskDocumentResponse

- `artifact_id` (string, optional)
- `content_type` (string, optional)
- `name` (string, optional)
- `role` (string, optional)

### RoomTaskParentResponse

- `id` (string, optional)
- `status` (string, optional)
- `title` (string, optional)

## Examples

**Response**

```json
{
  "tasks": [
    {
      "assignee": {
        "deployment_id": "string",
        "judgment_id": "string",
        "kind": "string",
        "name": "string",
        "observer_id": "string",
        "user_id": "string"
      },
      "attempts": 1,
      "auto_assign_reason": "string",
      "auto_assigned_at": "2024-01-15T09:30:00Z",
      "blocked_reason": "string",
      "conversation_id": "string",
      "created_at": "2024-01-15T09:30:00Z",
      "created_by": {
        "deployment_id": "string",
        "judgment_id": "string",
        "kind": "string",
        "name": "string",
        "observer_id": "string",
        "user_id": "string"
      },
      "delivery": "string",
      "description": "string",
      "dispatched_at": "2024-01-15T09:30:00Z",
      "documents": [
        {
          "artifact_id": "string",
          "content_type": "string",
          "name": "string",
          "role": "string"
        }
      ],
      "finished_at": "2024-01-15T09:30:00Z",
      "id": "string",
      "is_approval": true,
      "job": "string",
      "parent_task": {
        "id": "string",
        "status": "string",
        "title": "string"
      },
      "result": "string",
      "returned_at": "2024-01-15T09:30:00Z",
      "started_at": "2024-01-15T09:30:00Z",
      "status": "string",
      "subject": "string",
      "subject_url": "string",
      "title": "string",
      "updated_at": "2024-01-15T09:30:00Z"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/accounts/account/rooms/room_id/tasks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/accounts/account/rooms/room_id/tasks';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/accounts/account/rooms/room_id/tasks"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/accounts/account/rooms/room_id/tasks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/accounts/account/rooms/room_id/tasks")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/accounts/account/rooms/room_id/tasks', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/accounts/account/rooms/room_id/tasks");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/accounts/account/rooms/room_id/tasks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```